Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002121Frama-CKernelpublic2015-05-26 14:092016-01-26 08:52
Reporterdirkx 
Assigned Tobobot 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformallOSallOS Versionall
Product VersionFrama-C Sodium 
Target VersionFrama-C MagnesiumFixed in VersionFrama-C Magnesium 
Summary0002121: Symbolic links in tar ball
DescriptionThe tarball has symbolic links from the files to the file itself for all files in bin.

Depending on the unpacking strategy; this may unlink the actual file (as the symlink request to link the now unexisting file to itself fails).

Steps To Reproduceuntar using a plain tar.
Additional Informationhrwxr-xr-x 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/bin/lithium2beryllium.sh link to frama-c-Sodium-20150201/bin/lithium2beryllium.sh
hrwxr-xr-x 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/bin/neon2sodium.sh link to frama-c-Sodium-20150201/bin/neon2sodium.sh
hrwxr-xr-x 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/bin/boron2carbon.sh link to frama-c-Sodium-20150201/bin/boron2carbon.sh
hrwxr-xr-x 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/bin/oxygen2fluorine.sh link to frama-c-Sodium-20150201/bin/oxygen2fluorine.sh
hrwxr-xr-x 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/bin/carbon2nitrogen.sh link to frama-c-Sodium-20150201/bin/carbon2nitrogen.sh
hrwxr-xr-x 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/bin/nitrogen2oxygen.sh link to frama-c-Sodium-20150201/bin/nitrogen2oxygen.sh
hrwxr-xr-x 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/bin/fluorine2neon.sh link to frama-c-Sodium-20150201/bin/fluorine2neon.sh
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/share/Makefile.plugin link to frama-c-Sodium-20150201/share/Makefile.plugin
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/share/Makefile.dynamic link to frama-c-Sodium-20150201/share/Makefile.dynamic
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/share/Makefile.dynamic_config.external link to frama-c-Sodium-20150201/share/Makefile.dynamic_config.external
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/share/Makefile.dynamic_config.internal link to frama-c-Sodium-20150201/share/Makefile.dynamic_config.internal
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/external/hptmap.ml link to frama-c-Sodium-20150201/external/hptmap.ml
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/external/hptmap.mli link to frama-c-Sodium-20150201/external/hptmap.mli
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/external/unmarshal_test.ml link to frama-c-Sodium-20150201/external/unmarshal_test.ml
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/external/unmarshal_nums.ml link to frama-c-Sodium-20150201/external/unmarshal_nums.ml
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/external/unmarshal_nums.mli link to frama-c-Sodium-20150201/external/unmarshal_nums.mli
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/external/unmarshal.ml link to frama-c-Sodium-20150201/external/unmarshal.ml
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/external/unmarshal.mli link to frama-c-Sodium-20150201/external/unmarshal.mli
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/external/unmarshal_hashtbl_test.ml link to frama-c-Sodium-20150201/external/unmarshal_hashtbl_test.ml
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/external/unz.ml link to frama-c-Sodium-20150201/external/unz.ml
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/external/unz.mli link to frama-c-Sodium-20150201/external/unz.mli
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/external/sysutil.ml link to frama-c-Sodium-20150201/external/sysutil.ml
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/external/sysutil.mli link to frama-c-Sodium-20150201/external/sysutil.mli
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/bin/sed_get_make_major link to frama-c-Sodium-20150201/bin/sed_get_make_major
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/bin/sed_get_make_minor link to frama-c-Sodium-20150201/bin/sed_get_make_minor
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/opam/files/run_autoconf_if_needed.ml link to frama-c-Sodium-20150201/opam/files/run_autoconf_if_needed.ml
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/src/lib/integer.ml.zarith link to frama-c-Sodium-20150201/src/lib/integer.ml.zarith
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/src/lib/integer.ml.bigint link to frama-c-Sodium-20150201/src/lib/integer.ml.bigint
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/src/memory_state/inout_type.ml link to frama-c-Sodium-20150201/src/memory_state/inout_type.ml
hrw-r--r-- 0 bobot bobot 0 Mar 6 16:28 frama-c-Sodium-20150201/src/memory_state/inout_type.mli link to frama-c-Sodium-20150201/src/memory_state/inout_type.mli
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005923)
bobot (administrator)
2015-05-28 11:07

Reproduced with `tar -tvf frama-c-Sodium-20150201.tar.gz | grep "^h"`, and reproducible when creating a new release.

- Issue History
Date Modified Username Field Change
2015-05-26 14:09 dirkx New Issue
2015-05-26 17:18 signoles Assigned To => bobot
2015-05-26 17:18 signoles Status new => assigned
2015-05-28 10:37 signoles Target Version => Frama-C Magnesium
2015-05-28 11:07 bobot Note Added: 0005923
2015-05-28 11:07 bobot Reproducibility have not tried => always
2015-06-01 14:49 signoles Status assigned => resolved
2015-06-01 14:49 signoles Resolution open => fixed
2016-01-26 08:51 signoles Fixed in Version => Frama-C Magnesium
2016-01-26 08:52 signoles Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker